This patch corrects r2587. It makes sure that the VGA is initialized
when CONFIG_CONSOLE_VGA==0 and CONFIG_PCI_ROM_RUN==1.

The other change makes pci_rom and emulator code compiled when either
CONFIG_CONSOLE_VGA==1 or CONFIG_PCI_ROM_RUN==1

Signed-off-by: Roman Kononov <kononov@dls.net>


Index: src/devices/Config.lb
===================================================================
--- src/devices/Config.lb	(revision 2598)
+++ src/devices/Config.lb	(working copy)
@@ -1,4 +1,6 @@
 uses CONFIG_PCI_ROM_RUN
+uses CONFIG_CONSOLE_VGA
+
 object device.o
 object root_device.o
 object device_util.o
@@ -16,3 +18,8 @@
 	object pci_rom.o
 	dir emulator
 end
+
+if CONFIG_CONSOLE_VGA
+	object pci_rom.o
+	dir emulator
+end
Index: src/devices/pci_rom.c
===================================================================
--- src/devices/pci_rom.c	(revision 2598)
+++ src/devices/pci_rom.c	(working copy)
@@ -62,10 +62,6 @@
 
 static void *pci_ram_image_start = (void *)PCI_RAM_IMAGE_START;
 
-#if CONFIG_CONSOLE_VGA == 1 && CONFIG_CONSOLE_VGA_MULTI == 0
-extern device_t vga_pri;	// the primary vga device, defined in device.c
-#endif
-
 struct rom_header *pci_rom_load(struct device *dev, struct rom_header *rom_header)
 {
 	struct pci_data * rom_data;
@@ -86,15 +82,14 @@
 	rom_size = rom_header->size * 512;
 
 	if (PCI_CLASS_DISPLAY_VGA == rom_data->class_hi) {
-#if CONFIG_CONSOLE_VGA == 1
-	#if CONFIG_CONSOLE_VGA_MULTI == 0
+#if CONFIG_CONSOLE_VGA == 1 && CONFIG_CONSOLE_VGA_MULTI == 0
+		extern device_t vga_pri;	// the primary vga device, defined in device.c
 		if (dev != vga_pri) return NULL; // only one VGA supported
-	#endif
+#endif
 		printk_debug("copying VGA ROM Image from 0x%x to 0x%x, 0x%x bytes\n",
 			    rom_header, PCI_VGA_RAM_IMAGE_START, rom_size);
 		memcpy(PCI_VGA_RAM_IMAGE_START, rom_header, rom_size);
 		return (struct rom_header *) (PCI_VGA_RAM_IMAGE_START);
-#endif
 	} else {
 		printk_debug("copying non-VGA ROM Image from 0x%x to 0x%x, 0x%x bytes\n",
 			    rom_header, pci_ram_image_start, rom_size);

